Subject: Re: cpio problem
From: [email-masked] (Earnie Boyd)

15 Apr 1998 17:47:47 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Ian Collins <[email-masked]>
Cc: [email-masked]

---Geoffrey Noer <[email-masked]> wrote:
>
> Ian Collins wrote:
> > 
> > I have just compiled and made cpio on gnu win32 b19.
> > I tested it with a 400Mb binary cpio file.
> > If I use,
> > 
> > cpio -icv < file.cpio
> > 
> > then it gets a premature end of file error.
> > 
> > However, if I use,
> > 
> > cpio -icv -I file.cpio
> > 
> > then it works OK.
> > 
> > What is stdin doing?
> 
> Almost certainly, the redirect is happening in text mode while the
> -I inputs the file in binary mode.

And what Geoffrey didn't say but inferred was that if you add
"binmode" to the list of values for the CYGWIN32 environment variable
and have your mounts set to text=binary then the redirect should work.

If you questions on how to do this then look at the FAQ and use the
search function of the mail archives.

> 
> -- 
> Geoffrey Noer
> [email-masked]

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".